<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileLocatorUtils (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileLocatorUtils (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileLocatorUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorAware.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileOptionsProvider.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileLocatorUtils.html" target="_top">Frames</a></li>
<li><a href="FileLocatorUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.io</div>
<h2 title="Class FileLocatorUtils" class="title">Class FileLocatorUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.io.FileLocatorUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FileLocatorUtils</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 A utility class providing helper methods related to locating files.
 </p>
 <p>
 The methods of this class are used behind the scenes when retrieving
 configuration files based on different criteria, e.g. URLs, files, or more
 complex search strategies. They also implement functionality required by the
 default <a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io"><code>FileSystem</code></a> implementations. Most methods are intended to be
 used internally only by other classes in the <code>io</code> package.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileLocatorUtils.java 1750126 2016-06-24 15:49:12Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#DEFAULT_FILE_SYSTEM">DEFAULT_FILE_SYSTEM</a></span></code>
<div class="block">Constant for the default <code>FileSystem</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#DEFAULT_LOCATION_STRATEGY">DEFAULT_LOCATION_STRATEGY</a></span></code>
<div class="block">Constant for the default <code>FileLocationStrategy</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fileFromURL-java.net.URL-">fileFromURL</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Tries to convert the specified URL to a file object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fileLocator--">fileLocator</a></span>()</code>
<div class="block">Returns an uninitialized <code>FileLocatorBuilder</code> which can be used
 for the creation of a <code>FileLocator</code> object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fileLocator-org.apache.commons.configuration2.io.FileLocator-">fileLocator</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;src)</code>
<div class="block">Returns a <code>FileLocatorBuilder</code> which is already initialized with
 the properties of the passed in <code>FileLocator</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fromMap-java.util.Map-">fromMap</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</code>
<div class="block">Creates a new <code>FileLocator</code> object with the properties defined in
 the given map.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fullyInitializedLocator-org.apache.commons.configuration2.io.FileLocator-">fullyInitializedLocator</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Returns a <code>FileLocator</code> object based on the passed in one whose
 location is fully defined.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#isFullyInitialized-org.apache.commons.configuration2.io.FileLocator-">isFullyInitialized</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Returns a flag whether all components of the given <code>FileLocator</code>
 describing the referenced file are defined.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#isLocationDefined-org.apache.commons.configuration2.io.FileLocator-">isLocationDefined</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Checks whether the specified <code>FileLocator</code> contains enough
 information to locate a file.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locate-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Locates the provided <code>FileLocator</code>, returning a URL for accessing
 the referenced file.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locateOrThrow-org.apache.commons.configuration2.io.FileLocator-">locateOrThrow</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the file referenced by the passed in <code>FileLocator</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#put-org.apache.commons.configuration2.io.FileLocator-java.util.Map-">put</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator,
   <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;map)</code>
<div class="block">Stores the specified <code>FileLocator</code> in the given map.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_FILE_SYSTEM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_FILE_SYSTEM</h4>
<pre>public static final&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a> DEFAULT_FILE_SYSTEM</pre>
<div class="block">Constant for the default <code>FileSystem</code>. This file system is used by
 operations of this class if no specific file system is provided. An
 instance of <a href="../../../../../org/apache/commons/configuration2/io/DefaultFileSystem.html" title="class in org.apache.commons.configuration2.io"><code>DefaultFileSystem</code></a> is used.</div>
</li>
</ul>
<a name="DEFAULT_LOCATION_STRATEGY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_LOCATION_STRATEGY</h4>
<pre>public static final&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a> DEFAULT_LOCATION_STRATEGY</pre>
<div class="block">Constant for the default <code>FileLocationStrategy</code>. This strategy is
 used by the <code>locate()</code> method if the passed in <code>FileLocator</code>
 does not define its own location strategy. The default location strategy
 is roughly equivalent to the search algorithm used in version 1.x of
 <em>Commons Configuration</em> (there it was hard-coded though). It
 behaves in the following way when passed a <code>FileLocator</code>:
 <ul>
 <li>If the <code>FileLocator</code> has a defined URL, this URL is used as the
 file's URL (without any further checks).</li>
 <li>Otherwise, base path and file name stored in the <code>FileLocator</code>
 are passed to the current <code>FileSystem</code>'s <code>locateFromURL()</code>
 method. If this results in a URL, it is returned.</li>
 <li>Otherwise, if the locator's file name is an absolute path to an
 existing file, the URL of this file is returned.</li>
 <li>Otherwise, the concatenation of base path and file name is
 constructed. If this path points to an existing file, its URL is
 returned.</li>
 <li>Otherwise, a sub directory of the current user's home directory as
 defined by the base path is searched for the referenced file. If the file
 can be found there, its URL is returned.</li>
 <li>Otherwise, the base path is ignored, and the file name is searched in
 the current user's home directory. If the file can be found there, its
 URL is returned.</li>
 <li>Otherwise, a resource with the name of the locator's file name is
 searched in the classpath. If it can be found, its URL is returned.</li>
 <li>Otherwise, the strategy gives up and returns <b>null</b> indicating
 that the file cannot be resolved.</li>
 </ul></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fileFromURL-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileFromURL</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;fileFromURL(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block">Tries to convert the specified URL to a file object. If this fails,
 <b>null</b> is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the URL</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resulting file object</dd>
</dl>
</li>
</ul>
<a name="fileLocator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileLocator</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a>&nbsp;fileLocator()</pre>
<div class="block">Returns an uninitialized <code>FileLocatorBuilder</code> which can be used
 for the creation of a <code>FileLocator</code> object. This method provides
 a convenient way to create file locators using a fluent API as in the
 following example:
 <pre>
 FileLocator locator = FileLocatorUtils.fileLocator()
     .basePath(myBasePath)
     .fileName("test.xml")
     .create();
 </pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a builder object for defining a <code>FileLocator</code></dd>
</dl>
</li>
</ul>
<a name="fileLocator-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileLocator</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a>&nbsp;fileLocator(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;src)</pre>
<div class="block">Returns a <code>FileLocatorBuilder</code> which is already initialized with
 the properties of the passed in <code>FileLocator</code>. This builder can
 be used to create a <code>FileLocator</code> object which shares properties
 of the original locator (e.g. the <code>FileSystem</code> or the encoding),
 but points to a different file. An example use case is as follows:
 <pre>
 FileLocator loc1 = ...
 FileLocator loc2 = FileLocatorUtils.fileLocator(loc1)
     .setFileName("anotherTest.xml")
     .create();
 </pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>src</code> - the source <code>FileLocator</code> (may be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an initialized builder object for defining a <code>FileLocator</code></dd>
</dl>
</li>
</ul>
<a name="fromMap-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromMap</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;fromMap(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</pre>
<div class="block">Creates a new <code>FileLocator</code> object with the properties defined in
 the given map. The map must be conform to the structure generated by the
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#put-org.apache.commons.configuration2.io.FileLocator-java.util.Map-"><code>put(FileLocator, Map)</code></a> method; unexpected data can cause
 <code>ClassCastException</code> exceptions. The map can be <b>null</b>, then
 an uninitialized <code>FileLocator</code> is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - the map</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new <code>FileLocator</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></code> - if the map contains invalid data</dd>
</dl>
</li>
</ul>
<a name="put-org.apache.commons.configuration2.io.FileLocator-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>put</h4>
<pre>public static&nbsp;void&nbsp;put(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator,
                       <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;map)</pre>
<div class="block">Stores the specified <code>FileLocator</code> in the given map. With the
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fromMap-java.util.Map-"><code>fromMap(Map)</code></a> method a new <code>FileLocator</code> with the same
 properties as the original one can be created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to be stored</dd>
<dd><code>map</code> - the map in which to store the <code>FileLocator</code> (must not be
        <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the map is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="isLocationDefined-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLocationDefined</h4>
<pre>public static&nbsp;boolean&nbsp;isLocationDefined(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</pre>
<div class="block">Checks whether the specified <code>FileLocator</code> contains enough
 information to locate a file. This is the case if a file name or a URL is
 defined. If the passed in <code>FileLocator</code> is <b>null</b>, result is
 <b>false</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to check</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether a file location is defined by this
         <code>FileLocator</code></dd>
</dl>
</li>
</ul>
<a name="isFullyInitialized-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFullyInitialized</h4>
<pre>public static&nbsp;boolean&nbsp;isFullyInitialized(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</pre>
<div class="block">Returns a flag whether all components of the given <code>FileLocator</code>
 describing the referenced file are defined. In order to reference a file,
 it is not necessary that all components are filled in (for instance, the
 URL alone is sufficient). For some use cases however, it might be of
 interest to have different methods for accessing the referenced file.
 Also, depending on the filled out properties, there is a subtle
 difference how the file is accessed: If only the file name is set (and
 optionally the base path), each time the file is accessed a
 <code>locate()</code> operation has to be performed to uniquely identify the
 file. If however the URL is determined once based on the other components
 and stored in a fully defined <code>FileLocator</code>, it can be used
 directly to identify the file. If the passed in <code>FileLocator</code> is
 <b>null</b>, result is <b>false</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to be checked (may be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether all components describing the referenced file are
         initialized</dd>
</dl>
</li>
</ul>
<a name="fullyInitializedLocator-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fullyInitializedLocator</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;fullyInitializedLocator(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</pre>
<div class="block">Returns a <code>FileLocator</code> object based on the passed in one whose
 location is fully defined. This method ensures that all components of the
 <code>FileLocator</code> pointing to the file are set in a consistent way. In
 detail it behaves as follows:
 <ul>
 <li>If the <code>FileLocator</code> has already all components set which
 define the file, it is returned unchanged. <em>Note:</em> It is not
 checked whether all components are really consistent!</li>
 <li><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locate-org.apache.commons.configuration2.io.FileLocator-"><code>locate(FileLocator)</code></a> is called to determine a unique URL
 pointing to the referenced file. If this is successful, a new
 <code>FileLocator</code> is created as a copy of the passed in one, but with
 all components pointing to the file derived from this URL.</li>
 <li>Otherwise, result is <b>null</b>.</li>
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to be completed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a <code>FileLocator</code> with a fully initialized location if
         possible or <b>null</b></dd>
</dl>
</li>
</ul>
<a name="locate-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>locate</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;locate(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</pre>
<div class="block">Locates the provided <code>FileLocator</code>, returning a URL for accessing
 the referenced file. This method uses a <a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io"><code>FileLocationStrategy</code></a> to
 locate the file the passed in <code>FileLocator</code> points to. If the
 <code>FileLocator</code> contains itself a <code>FileLocationStrategy</code>, it is
 used. Otherwise, the default <code>FileLocationStrategy</code> is applied. The
 strategy is passed the locator and a <code>FileSystem</code>. The resulting
 URL is returned. If the <code>FileLocator</code> is <b>null</b>, result is
 <b>null</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to be resolved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the URL pointing to the referenced file or <b>null</b> if the
         <code>FileLocator</code> could not be resolved</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#DEFAULT_LOCATION_STRATEGY"><code>DEFAULT_LOCATION_STRATEGY</code></a></dd>
</dl>
</li>
</ul>
<a name="locateOrThrow-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>locateOrThrow</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;locateOrThrow(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)
                         throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Tries to locate the file referenced by the passed in <code>FileLocator</code>.
 If this fails, an exception is thrown. This method works like
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locate-org.apache.commons.configuration2.io.FileLocator-"><code>locate(FileLocator)</code></a>; however, in case of a failed location
 attempt an exception is thrown.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> to be resolved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the URL pointing to the referenced file</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if the file cannot be resolved</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileLocatorUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorAware.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileOptionsProvider.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileLocatorUtils.html" target="_top">Frames</a></li>
<li><a href="FileLocatorUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
